package request

type GetCustomerUserListReq struct {
	PageInfo
	MocId          int    `gorm:"type:int(255)" json:"moc_id" form:"moc_id"`
	UserName       string `gorm:"type:string(255)" json:"user_name" form:"user_name"`
	Region         string `gorm:"type:string(255)" json:"region" form:"region"`
	RegionIn       string `gorm:"type:string(255)" json:"region_in" form:"region_in"`
	City           string `gorm:"type:string(255)" json:"city"`
	Zone           string `gorm:"type:string(255)" json:"zone"`
	Address        string `gorm:"type:string(255)" json:"address"`
	Contacts       string `gorm:"type:string(255)" json:"contacts" form:"contacts"`
	ContactsMobile string `gorm:"type:string(255)" json:"contacts_mobile" form:"contacts_mobile"`
	WorkerPosition string `gorm:"type:string(255)" json:"worker_position" form:"worker_position"`
	WorkerName     string `gorm:"type:string(255)" json:"worker_name" form:"worker_name"`
	WorkerMobile   string `gorm:"type:string(255)" json:"worker_mobile" form:"worker_mobile"`
	UserSource     string `gorm:"type:string(255)" json:"user_source"`
	UserType       int    `gorm:"type:int(255)" json:"user_type" form:"user_type"`
	UserTypeIn     string `gorm:"type:int(255)" json:"user_type_in" form:"user_type_in"`
	CreateTime     string `gorm:"type:string(255)" json:"create_time" form:"create_time"`
}

type GetCustomerUserListReply struct {
	List  []GetCustomerUserList `json:"list"`
	Total int64                 `json:"total"`
}

type GetCustomerUserList struct {
	Id             int    `gorm:"type:int(255)" json:"id"`
	UserName       string `gorm:"type:string(255)" json:"user_name"`
	Region         string `gorm:"type:string(255)" json:"region"`
	City           string `gorm:"type:string(255)" json:"city"`
	Zone           string `gorm:"type:string(255)" json:"zone"`
	Address        string `gorm:"type:string(255)" json:"address"`
	Contacts       string `gorm:"type:string(255)" json:"contacts"`
	ContactsMobile string `gorm:"type:string(255)" json:"contacts_mobile"`
	WorkerPosition string `gorm:"type:string(255)" json:"worker_position"`
	WorkerName     string `gorm:"type:string(255)" json:"worker_name"`
	WorkerMobile   string `gorm:"type:string(255)" json:"worker_mobile"`
	UserSource     string `gorm:"type:string(255)" json:"user_source"`
	UserType       int    `gorm:"type:int(255)" json:"user_type"`
	CreateTime     string `gorm:"type:string(255)" json:"create_time"`
}
